Dpkg Purge Dependency Problems Not Removing

I've tried apt-get -f install several times. search) the package cache. More details. It detects dependencies from one of several sources, and then retrieves those dependencies in an idempotent operation from an arbitrary location. sda1 is for NAS storage. I'm trying to install ajenti on 16. Fix missing dependency problem after installing a deb file. When they are all deinstalled, reinstall the required package. I managed to get rid of all the other packages it installed, but these won't go. apt-get install -f mysql-server Reading package lists Done Building dependency tree Reading state information Done mysql-server is already the newest version. By default the dependencies are satisfied to build the package natively. It is better to use a package manager that handles dependencies to ensure that the system is in a consistent state. Below is the output of th. If you have not used the purge option, the process stops. When I tried to remove the package, dpkg returned an error: # apt-get remove ossec-hids-agent Reading package lists Done Building dependency tree Reading state information Done The following packages will be REMOVED: ossec-hids-agent 0 upgraded, 0 newly installed, 1 to remove and 16 not upgraded. apt-get remove torcs. dpkg -P docbook removes the docbook package and its configuration files. Given the definitive nature of such data removals, a purge should not be taken lightly. Of course, this only applies to files in system directories, not configuration files written to individual users' home directories. 10 System , Tips Wednesday, May 15, 2013 If you cannot install new packages using the terminal under Ubuntu 13. After this operation, 0 B of additional disk space will be used. When they are all deinstalled, reinstall the required package. Need to get 0 B/39. dpkg: dependency problems prevent configuration of mysql-server: dependency problems - leaving unconfigured sudo apt-get remove --purge mariadb-common. dpkg --purge --force-remove-reinstreq phpmyadmin That'll clean up phpMyAdmin as well as any other packages that are no longer in use. Let me know if I should add more. My old windows 7 HDD died and since I was sick of Windows I decided to go to linux. It appears that apt-get install behaves like this for everything, not just dpkg: &. Can't fix them. Welcome to LinuxQuestions. deb Selecting previously unselected package google-chrome-stable. I'm trying to install ajenti on 16. The primary and more user-friendly front-end for dpkg is dselect(8). Removing of a package consists of the following steps: 1. I haven't look in it for several months. You force automatic removal of new unused dependencies for any package in your system. xx) on Sat 19 Oct 2013 at 20:29 I have always used upgrade and never knew why I had (-5 not upgraded). 04 Lts? Uninstall and remove cppcheck Package. dpkg --purge NAME. 7 is considered installed but it hasn't been configured yet. If this is your first visit, be sure to check out the FAQ by clicking the link above. In this tutorial we are going to talk about few useful and time saving apt commands for beginners. I tried to install something, there's some problem with mono that caused all the installations to fail. xx) on Tue 30 Aug 2005 at 06:37 There is also a nice utility from dpkg is with -C option for auding the. As safe as removing any package is. Problems Dependency Rendering Problems Beginners Problems of problems Algorithm Problems VALIDATION PROBLEMS problems&solution dependency managemen dependency walker dependency Problems Problems problems Problems problems Problems Problems problems Problems dpkg: dependency problems prevent configuration of vim:i386: ubuntu14. Can't remove them. This command lists all the software, but the list may be too long and not helpful. How do I remove it??: deniz@debian:~$ sudo apt-get remove --purge virtualbox Reading package lists Done Building dependency tree Reading state information Done Package virtualbox is not installed, so not removed 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Same kinds of dependency errors. dpkg -l |grep ^rc. Below is the output of th. I tried to remove KDE from my system. Usunięcie ich może spowodować, że system przestanie działać. After this operation, 0 B of additional disk space will be used. This was outside the package manager so it could not manage dependencies of purged files. 1 ja joku toin…. first : thanks for the fast replys i always do apt-get update first, then upgrade i followed the instructions of Cloudcentric i did : su apt-get update. This short tutorial will show you the command to update the tools and system. This will also take a package off of hold if it was put. I think that 2. If this is your first visit, be sure to check out the FAQ by clicking the link above. 04 LTS server en weet niet waar te starten om dit op te lossen. during generation of texmf. (dpkg: error: --configure needs a valid package name but 'gcc-4. From my xterm history: # dpkg -P curl capcertificates dpkg: dependency problems prevent removal of curl: apt-file depends on curl. Re: Veeam Agent for Linux: Dependencies are not installed au Post by nielsengelen » Thu Aug 11, 2016 12:59 pm 1 person likes this post This will be taken care of in the GA version as well as a repo which will present the files for updates. Of course, this only applies to files in system directories, not configuration files written to individual users' home directories. If you uninstall stuff with apt-get remove sometimes debian does not removes config files and they also take up space. I use apt-get remove --purge (aka apt-get purge) for the dependency following with a list of packages. I've messed up with dependencies, and now there are tons of conflicts in there. I've been doing this by hand one kernel at a time for years now. A Short Apt-Get / Dpkg Tutorial For New Debian Users December 13, 2005 Posted by U. You should know what it is and what it's there for and decide if you want it based on that. Below is the output of th. I spun up a fresh DigitalOcean Droplet to test the phpmyadmin package with an instance of Apache2 and MySQL and the installation went fine, as long as I first installed mysql-server. The primary and more user-friendly front-end for dpkg is dselect(8). I was trying to install spamassassian (a anti-spam software). sudo apt-get autoremove -purge PACKAGENAME. dpkg: dependency problems prevent. any ideas?. sudo apt-get upgrade. dpkg: dependency problems prevent configuration of cuda-documentation-10-1: Are you able to remove/purge cuda-related packages from your system and give a try to. Could you purge mate-tweak, confirm that mesa-tools still isn't listed in the packages recommended for auto removal, and then try purging mesa-tools again. Dpkg is a standard package manager in many versions of Linux. installed, 0 to remove and 0 not upgraded. 04 Lts? Learn how to uninstall and completely remove the package jmeter from Ubuntu 16. Here is what happens during a package removal. I rubbed my eyes, and wrote this post in case it ever bloody well happens again. We need to install forcefully which can be implemented like below. Of course, this only applies to files in system directories, not configuration files written to individual users' home directories. Re: Some upgrades show packages being kept back Posted by Anonymous (184. Hallo, wenn ich im Terminal. To remove automatically installed packages that are no longer used, run: # apt autoremove You can also use deborphan, debfoster, or cruft to find redundant packages. You are working on a Debian distribution of Linux. Invoking dpkg with the -r or --remove option, followed by the name of a package, removes that package. I would definitely install it in a different directory, so you don't overwrite the distribution's package contents (You will start seeing lots of errors!). Ignore the first one if your intentions don't include removing the installed package. Reads manual pages for dpkg I see, purged the meta packages for the kernel and headers and therefore removed the dependencies. install — Also updates single package. But as I said, look, what is going to deinstalled, before telling YES. 5; however: Package mysql-server 5. sudo purge-old-kernels. Run prerm script. If all dependencies have been met for the selected package, simply click the 'Install package' button to install it. After I removed the package and all of it’s configurations, the subsequent installation did not re-deploy the configuration files. As a way around you. arm64 dpkg interrupted. What is proper and suggested method to remove old kernels from a CemtOS / Debian Linux server? Most Linux distro keeps old kernel files so. Then you can try to remove found mysql/mariadb related packages with dpkg -remove --force-remove-reinstreq. chkrootkit -x | less # How to check webserver by Nikto nikto. Problem after dist-upgrade and dpkg install -f (Probably nvidia packages related) dependency problems I though I'ld run: dpkg install -f purge remove nvidia. the problem of a broken package still exist the solution is to edit the dpkg status file manually. first, when I use apt-get, it always tries to update metasploit. Apt-get remove (or even purge) only removes (or purges) the original package, not dependencies. Uninstall Ubuntu and Debian packages with apt-get and dpkg. deb # If you need to install dependencies that were not # installed because you used `dpkg -i` instead of `apt install` sudo apt --fix-broken install # Get status of package dpkg -s mypkg. le sous-processus post-installation script a retourné une erreur de sortie d'état 127 Des erreurs ont été rencontrées pendant l'exécution : 'le paquet qui bloque'. Contribute to microsoft/omi development by creating an account on GitHub. 0-68-generic #102-Ubuntu SMP Tue Aug 12 22:02:15 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux apt-get install hexlx-p4d results in - Reading package lists. To fix this you can either attempt to reinstall, or break the dependencies manually. Now you can just use apt-get purge but I tend to forget that every time. libapache2-mod-python: package purge (after dependencies removal) fails Package: libapache2-mod-python ; Maintainer for libapache2-mod-python is Debian Python Modules Team ; Source for libapache2-mod-python is src:libapache2-mod-python ( PTS , buildd , popcon ). All of the configuration scripts, except postrm, are removed. by adding "--purge" we instruct to remove configuration like dependencies which are not. 1* postgresql-client-common* postgresql-common* postgresql-contrib* postgresql-contrib-9. Need to get 8,989 kB of archives. For example, a user can remove the rocm package with the command ‘sudo dpkg –r rocm’ on Ubuntu, but that will not remove any of its dependencies. My problem is, that my update is not working anymore. It handle dependencies better (especially noticeable when removing packages), it offers better upgrade options (not recommended in Mint), and is not divided like apt-get it (more on that later). In the second half of 2006 pre-release includes Debian's Etch and Ubuntu's Edgy Eft. Somewhere along the line I killed my email (sendmail) altogether. 5; however: Package mysql-server-5. How to install cppcheck On Ubuntu 16. From my xterm history: # dpkg -P curl capcertificates dpkg: dependency problems prevent removal of curl: apt-file depends on curl. The N900 has three main storage partitions. Explanation: Yo have removed some packages but some other perhaps very important for the Operating System packages are dependent on those removed ones, so the Operating system wants them back and if it does not receive them back soon your system possibly will be broken. We have four different versions of Linux kernel installed by the yum command under CentOS Linux. 5 Now install mysql server using below command, sudo apt-get install mysql-server. 27-0ubuntu2)start:Jobfail. installed, 0 to remove and 0 not upgraded. In last resort, try to remove dpkg lock file: sudo rm /var/lib/dpkg/lock. Both these approaches are frequently successful. Thanks for the quick responce. Need to get 613 kB of archives. I think that 2. 6-2-g6e42d5 2019-03-25 dpkg. B with BBB-eMMC-flasher-debian-7. Apt, Aptitude and Dpkg Reference. So i’ve run. I've tried apt-get -f install several times. A while back I wrote a post on how to remove old kernels from your Ubuntu system. It handle dependencies better (especially noticeable when removing packages), it offers better upgrade options (not recommended in Mint), and is not divided like apt-get it (more on that later). 04 MySQL is a relational database management system (RDBMS) that runs as a server providing multi-user access to a number of databases. To handle packages that don't exist I filter out packages that are not installed with the following script. Finding and Purging Unpurged Packages on Ubuntu When you remove a package (such as sudo apt remove php5. Create dist/custom if it does not exist. Fix missing dependency problem after installing a deb file. For reference I have used Beagle Bone Black rev. root@mystery:~# dpkg --purge apache2-common dpkg: dependency problems prevent removal of apache2-common: apache2-threaded-dev depends on apache2-common (= 2. Some package managers, such as Debian 's dpkg , allow configuration during installation. Uninstall and remove dpkg-sig Package In this tutorial you will learn how to update and install dpkg-sig On Ubuntu 16. Dependency hell is not uncommon, but fortunately not so common as to make linux unusable. dpkg: dependency problems prevent configuration of vim:i386: 5. I recommend this image as it does not contain all the stock-crap (like apache server, GUI and many more). We use cookies for various purposes including analytics. After that I had problems with MySQL. packages, which gave me some hope, but same results. Repeat for the other error-packages if any of it might give an actual cleanup. 5 Now install mysql server using below command, sudo apt-get install mysql-server. Well, in my case it was a part of script. Playing with the new(?) p4d apt packages - posted in Administration: I'm trying to play with the new apt packages on my testing box as from https://www. I've been doing this by hand one kernel at a time for years now. dpkg can't remove a package, dependency problems When installing a package (hugs) through apt-get my laptop had a kernel panic and I had to do a hard reset. 2 not fully installed or removed. Let me know if I should add more. 04 LTS Operating System. After this operation, 0 B of additional disk space will be used. = on hold: package will not be processed at all; _ marked for purge, also remove configuration; n package is new and has yet to be marked. After unpacking 0B of additional disk space will be used. It has a few more but these three are the most important: 1) root, about 220 MB, where all the system packages and some other, small programs go. Then let dpkg fix itself: sudo dpkg --configure -a. packages, which gave me some hope, but same results. root@ubuntu_1804:~# dpkg -i google-chrome-stable_current_amd64. Do not use. ERROR: dependency 'XML' is not available for package 'REmap ; 10. So "Suggests" isn't the problem. I run fix sudo apt --fix-broken install several times but for the moment i'am not further than a whole list of options. 7 and trying to reinstall it in Ubuntu 16. Currently, I am using only latest version 2. 60 followed the docs - I probably shouldn't have removed ALL the amdgpu stuff, afterwards had to do this:. Apport will usually detect these failures and file a bug in Launchpad. Need to get 0 B/28. If desired a host-architecture can be specified with the --host-architecture option instead. This was outside the package manager so it could not manage dependencies of purged files. Learn vocabulary, terms, and more with flashcards, games, and other study tools. packages, which gave me some hope, but same results. 13 (simple NAS image) - on BananaPi If further information are needed, please let me know. (In reply to Rolf from comment #12) > Perhaps I'm trying to do something unnecessary under Ubuntu? Yes, exactly that seems to be the case here. Well, in my case it was a part of script. root@ubuntu_1804:~# dpkg -i google-chrome-stable_current_amd64. dpkg: dependency problems. 3 because that is the release available to Debian. It's used to analyze (e. To fix this you can either attempt to reinstall, or break the dependencies manually. dpkg-checkbuilddeps and apt-get at odds over libacl1-dev Showing 1-12 of 12 messages. Need to get 0B of archives. if that doesn't work, then try a bit harder with the "lower level" dpkg: sudo dpkg --remove linux-image-virtual sudo dpkg --remove linux-image-4. apt-get --purge remove libapache2-mod-php5 (this apply to any other library removal). And again, using the --purge option with apt autoremove will remove any left-over configs for unneeded packages. Luckily, I have already solved the problem by removing all nvidia and cuda manually , like this : sudo dpkg --force-all -P nvida-(have to remove all nvidia-and cuda-one by one since I can not use : sudo apt-get purge nvidia*) After removing all package related to nvidia and cuda, I re-installed nvidia driver like this :. Yes, I want to use a single service mails from Zentyal. sudo dpkg -configure -a. You said: "In general it's not good to use that command because it can leave your system in an inconsistent state -- when there are packages which depend on the package you just removed. sudo apt-get autoremove mysql* --purge. To fix this you can either attempt to reinstall, or break the dependencies manually. After this operation, 32. That said you could write a script scanning all the packages in "config-files" state, using dpkg-query -f '${Conffiles}' foo (replace foo with the real package name) to get the md5sums of the conffiles, and doing the check on the installed file. 0-64-generic 2. In that case, dpkg won't remove them by itself, but the package's postrm script (which is called by dpkg), has to take care of their removal during purge. sudo purge – old – kernels. You always think this is a poor use of Docker? Should I use something else like Vagrant?. 5时,遇到奇葩的问题,花费了不止3个小时。网上查看了很多资料众说纷纭,一一尝试却没有解决什么问题,在几近绝望的时候,看到如下. dpkg executes postrm remove. By those smart guys who made the great tools you can find in Kali Linux So we have to update Kali Linux to keep the tools in functional order. perforcersioning-engine running ubuntu 14. Re: Some upgrades show packages being kept back Posted by Anonymous (184. Package openjdk-7-jre is not installed. sudo purge – old – kernels. 1:371 msgid "B: Turn all dependency problems into warnings. 04 and MySql5. Welcome to LinuxQuestions. Simplify Command-Line Package Management with APT instead of apt-get Michael Tunnell Updated April 29, 2016, 10:04am EDT APT, the Advanced Package Tool from the Debian project, is for managing packages by using a lot of separate tools to accomplish various tasks. 13 (simple NAS image) - on BananaPi If further information are needed, please let me know. You force automatic removal of new unused dependencies for any package in your system. And again, using the --purge option with apt autoremove will remove any left-over configs for unneeded packages. The process ask me about preserving my config file; I answer "YES" and then it breaks. Using apt from command line. Done Package 'vsftpd' is not installed, so not removed 0 upgraded, 0 newly installed, 0 to remove and 328 not upgraded. I started with a fresh install from snapshot as of March 31 and followed the instructions for installing on Ubuntu. 3) for compatibility reasons and now apt seems to be broken. 5 is not configured yet. Now you can just use apt-get purge but I tend to forget that every time. Of course, this only applies to files in system directories, not configuration files written to individual users' home directories. I am running - an OMV 2. debian-goodies depends on curl. Using dpkg from command line. Install Forcefully. The two last items are only left in dpkg for compatibility - they are understood by it, but never written out in this form. 1 is the latest version which tolerates the legacy static boot ordering. I am more of Redhat/Fedora fan, so I don't speak apt/dpkg very well. libapache2-mod-python: package purge (after dependencies removal) fails Package: libapache2-mod-python ; Maintainer for libapache2-mod-python is Debian Python Modules Team ; Source for libapache2-mod-python is src:libapache2-mod-python ( PTS , buildd , popcon ). All of the configuration scripts, except postrm, are removed. ERROR: dependency ‘fastmatch’ is not available for package ‘fgsea’ 9. Removing of a package consists of the following steps: 1. Do not use. The following packages will be REMOVED: aria2 nano 0 upgraded, 0 newly installed, 2 to remove and 9 not upgraded. The process ask me about preserving my config file; I answer "YES" and then it breaks. DPKG_ADMINDIR If set and the --admindir option has not been specified, it will be used as the dpkg data directory. $ sudo nano /var/lib/dpkg/status (you can use vim or gedit instead of nano) Locate the corrupt package, and remove the whole block of information about it and save the file. Upon starting up, I ran fsck all the partitions (jfs) and rebooted into Ubuntu. It all started after installing xemacs21 on my Ubuntu machine. Należy " "zachować szczególną ostrożność przy użyciu tej opcji. I would definitely install it in a different directory, so you don't overwrite the distribution's package contents (You will start seeing lots of errors!). The package selection list and the dependency conflict resolution screens can be navigated using motion commands mapped to the following keys: p, Up, k move cursor bar up. 7-base' is not: ambiguous package name 'gcc-4. Install Forcefully. I've been doing this by hand one kernel at a time for years now. Upon starting up, I ran fsck all the partitions (jfs) and rebooted into Ubuntu. For instance, “ aptitude remove '~ndeity' ” will remove all packages whose name contains “ deity ”. 27-0ubuntu2)start:Jobfail. # dpkg --purge bind9 bluez boinc-client winbind If all that is too much for you for the moment, you might also try downgrading the sysv-rc package. 10) all imports are ok. To handle packages that don't exist I filter out packages that are not installed with the following script. Problem after dist-upgrade and dpkg install -f (Probably nvidia packages related) dependency problems I though I'ld run: dpkg install -f purge remove nvidia. Of course, this only applies to files in system directories, not configuration files written to individual users' home directories. apt-get install -f mysql-server Reading package lists Done Building dependency tree Reading state information Done mysql-server is already the newest version. Can't remove them. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. APT (Advanced Package Tool), a higher level tool, is more commonly used than dpkg as it can fetch packages from remote locations and deal with complex package relations, such as dependency resolution. Though it does ask a lot more setup questions when I re-install following the remove with the purge option you suggested. Manually remove Linux legacy kernel. The "equivs" package in debian exists to create such a dummy package which you can install to tell dpkg "this dependency is satisfied" The reason that telling dpkg to simply ignore dependencies is not a good solution, is that you are only telling dpkg/apt to ignore it for a single transaction, you can't tell it to ignore dependencies forever. The package selection list and the dependency conflict resolution screens can be navigated using motion commands mapped to the following keys: p, Up, k move cursor bar up. Thus removing something like kolourpaint will remove kdegraphics will remove kde. When I tried to remove the package, dpkg returned an error: # apt-get remove ossec-hids-agent Reading package lists Done Building dependency tree Reading state information Done The following packages will be REMOVED: ossec-hids-agent 0 upgraded, 0 newly installed, 1 to remove and 16 not upgraded. # dpkg --purge base-files If that succeeds, then do apt-get update , apt-get install base-files , then, if you wish, apt-get dist-upgrade as suggested bluesdog. But running. sudo apt install mysql-server [sudo] password for user: Reading package lists Done Building dependency tree Reading state information Done mysql-server is already the newest version (5. Using dpkg from command line. If I want to also remove config files : apt-get purge torcs. It should not be used by package maintainers wishing to understand how dpkg will install their packages. ) Jul 6th 2017, 6:16pm. The general idea is that it first gets a list of all installed packages, and then runs "dpkg --no-act --purge" (fake package removal) on each package. For users of LVM systems, encrypted systems or limited-storage systems, the most frequent problem is that the /boot partition is simply full. Automagically remove unnecessary locale data. The cache stores the meta-data for all available packages of the software feed dpkg - Is used for the manual installation / uninstall of packages. org, a friendly and active Linux Community. Search for a command switch in the dpkg manual to remove dependencies. Package dependency problems. upgrade — Same as dist-upgrade, but will not remove installed packages or install new ones. 04 LTS Operating System. Could you purge mate-tweak, confirm that mesa-tools still isn't listed in the packages recommended for auto removal, and then try purging mesa-tools again. sudo apt-get purge mysql-server sudo apt-get purge mysql-client sudo apt-get purge mysql-common # I think when you uninstall mysql-server, it will also remove the core The best way is always use dpkg -l | grep mysql to check related packages installed. installed, 0 to remove and 0 not upgraded. 5 returns /usr/sbin/dpkg-reconfigure: mysql-server-5. But running. Playing with the new(?) p4d apt packages - posted in Administration: I'm trying to play with the new apt packages on my testing box as from https://www. To be fair I am just glad they have a Linux version of the editor, I can handle a few dependencies. Use 'sudo apt autoremove' to remove them. sudo apt install -f. Explanation: Yo have removed some packages but some other perhaps very important for the Operating System packages are dependent on those removed ones, so the Operating system wants them back and if it does not receive them back soon your system possibly will be broken. I managed to get rid of all the other packages it installed, but these won't go. This page lists some general issues that users might encounter while performing updates of their system. upgrade pkg Install the upgraded versions of package pkg. Now I have purged the package and removed the lines regarding br0 from interfaces file by hand. I knew that Debian knows how to get all dependencies. Currently, I am using only latest version 2. Can't get rid of them with dpkg --purge --force-all. 5时,遇到奇葩的问题,花费了不止3个小时。网上查看了很多资料众说纷纭,一一尝试却没有解决什么问题,在几近绝望的时候,看到如下. Let me know if I should add more. From my xterm history: # dpkg -P curl capcertificates dpkg: dependency problems prevent removal of curl: apt-file depends on curl. Remove Old Kernels via DPKG. # aptitude purge ~c The following packages will be REMOVED: iproute{p} 0 packages upgraded, 0 newly installed, 1 to remove and 29 not upgraded. To remove automatically installed packages that are no longer used, run: # apt autoremove You can also use deborphan, debfoster, or cruft to find redundant packages. In addition, dpkg-reconfigure mysql-server-5. What is dpkg ?dpkg stands for Debian Package Manger. Here is what happens during a package removal. dpkg: dependency problems prevent configuration of mysql-server: mysql-server depends on mysql-server-5. When I tried to remove the package, dpkg returned an error: # apt-get remove ossec-hids-agent Reading package lists Done Building dependency tree Reading state information Done The following packages will be REMOVED: ossec-hids-agent 0 upgraded, 0 newly installed, 1 to remove and 16 not upgraded. sudo apt-get remove apparmor. 5 On-hold packages removal. apt-get --purge removes the package and the configurations files. I run fix sudo apt --fix-broken install several times but for the moment i'am not further than a whole list of options. jy to the dist/custom directory on the primary storage server or domain server. dpkg can't remove a package, dependency problems When installing a package (hugs) through apt-get my laptop had a kernel panic and I had to do a hard reset. strong dependency on bluez for machines with no bluetooth on bluez for machines with no bluetooth. Just use the command. apt-get upgrade fails - problems with udev dpkg: dependency problems prevent configuration of systemd-services: remove systemd/upstart and autoremove --purge. c, statusinfos, eflaginfos and wantinfos for more details. # Install package along with any dependencies it needs sudo apt install. 3) for compatibility reasons and now apt seems to be broken. dpkg -l |grep ^rc. -49-generic The instructions tell you should purge that first (or by the same command). apt-get --purge remove libapache2-mod-php5 (this apply to any other library removal). After this operation, 32. to E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem. Why do I constantly have missing package dependencies? 1 to remove and 1 not upgraded. 5 is not configured yet. xx) on Tue 30 Aug 2005 at 06:37 There is also a nice utility from dpkg is with -C option for auding the. DebianPackageManagement. deb package, but does not remove the configuration files for the package that is uninstalled. On the other hand, if you have older hardware, then if your hardware used to work with a non-vesa driver in the past, possibly support for your hardware has been dropped from the video driver.